### Method

# Gtk TreeModel get_iter_from_string

#### Declaration [src]

    gboolean
    gtk_tree_model_get_iter_from_string (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      const char* path_string
    )

#### Description [src]

Sets `iter` to a valid iterator pointing to `path_string`, if it exists.

Otherwise, `iter` is left invalid and `FALSE` is returned.

#### Parameters

`iter` | `GtkTreeIter`
| An uninitialized `GtkTreeIter`.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`path_string` | `const char*`
| A string representation of a `GtkTreePath`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE`, if `iter` was set.